[youtubei.js](../../../../README.md) / [Helpers](../README.md) / Constructor

# Interface: Constructor\<T\>

Defined in: [src/parser/helpers.ts:306](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/helpers.ts#L306)

## Type Parameters

### T

`T`

## Constructors

### Constructor

> **new Constructor**(...`args`): `T`

Defined in: [src/parser/helpers.ts:307](https://github.com/LuanRT/YouTube.js/blob/0733f60b57877f6b8b87dfd5cc6195b5085f5c09/src/parser/helpers.ts#L307)

#### Parameters

##### args

...`any`[]

#### Returns

`T`
